### Method

# Vips Image hist_local

#### Declaration [src]

    int
    vips_hist_local (
      VipsImage* in,
      VipsImage** out,
      int width,
      int height,
      ...
    )

#### Description [src]

Performs local histogram equalisation on `in` using a window of size `width` by `height` centered on the input pixel.

The output image is the same size as the input image. The edge pixels are created by mirroring the input image outwards.

If `max_slope` is greater than 0, it sets the maximum value for the slope of the cumulative histogram, that is, the maximum brightening that is performed. A value of 3 is often used. Local histogram equalization with contrast limiting is usually called CLAHE.

Optional arguments

- `max_slope`: `gint`, maximum brightening

See also

`vips_hist_equal()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Width of region.

`height`

  Type: `int`

  Height of region.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.